# Uses of Class
org.eclipse.ui.texteditor.HyperlinkDetectorRegistry

Packages that use HyperlinkDetectorRegistry
Package
Description
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.

## Uses of HyperlinkDetectorRegistry in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text that return HyperlinkDetectorRegistry
Modifier and Type
Method
Description
`static HyperlinkDetectorRegistry`
EditorsUI.`getHyperlinkDetectorRegistry()`
Returns the registry that contains the hyperlink detectors contributed by the `org.eclipse.ui.workbench.texteditor.hyperlinkDetectors` extension point.